function [ack, sizes, names, index, url] = getack(get_ranges,  ...
    get_dset, get_vars, get_dset_stride, ...
    get_num_urls, get_georange, get_variables, get_archive,  ...
    whichurl, browse_version)
if nargin >= 8
  if exist(get_archive) == 2
    Acknowledge = '';
    Data_Use_Policy = '';
    eval(get_archive)
  else
    disp(['Problem reading dataset metadata ' get_archive '.m'])
    return
  end
  
  % put data set name at top
  str = '';
  ack = sprintf('%s\n\n',DataName);
  
  % add acknowledgements
  if exist('Acknowledge') == 1
    if ~isempty(Acknowledge)
      str = Acknowledge;
    else
      str = 'No Acknowledgements are available';
    end
  else
    str = 'No Acknowledgements are available';
  end
  ack = sprintf('%s%s',ack,str);
  
  % add data use policy
  if exist('Data_Use_Policy') == 1
    str = sprintf('%s%s','Data Use Policy: ', Data_Use_Policy);
  else
    str = 'Data Use Policy is unknown';
  end
  ack = sprintf('%s\n\n%s',ack, str);
  
  % add server version
  str = ''; 
  % str = loaddods('server version');
  ack = sprintf('%s\n\n%s',ack, [ 'DODS server version: ' str]);
  
  % add client version
  str = '';
  % don't try to get the loaddods version!  Creates a fatal
  % seg. fault.  Perhaps it will work when the version info
  % is actually returned
  %    str = loaddods('-V');
  ack = sprintf('%s\n\n%s', ack, ['DODS client version: ' str]);
  
  % add browser version
  str = sprintf('Matlab GUI Browser version: %s', browse_version);
  ack = sprintf('%s\n\n%s',ack, str);
  
  % add Matlab version and the date
  str = version;
  str = sprintf('Downloaded in Matlab v%s on %s', str, date);
  ack = sprintf('%s\n\n%s', ack, str); 
  sizes = size(ack);
  names = 'Acknowledge';
  ack = ack(:);
  index = 0; % index into data_range for plotting!
  url = '';
end
